ggiCrossBlit(3)

NAME
ggiCrossBlit : Copy a rectangular area between two visuals

SYNOPSIS
#include <ggi/ggi.h>
int ggiCrossBlit(ggi_visual_t src, int sx, int sy, int w, int h,
                 ggi_visual_t dst, int dx, int dy);

DESCRIPTION
Blits a rectangular memory area from one visual to another. It handles colorspace-conversion (though it can be quite expensive, so take care). ggiCrossBlit will transfer an area from the source visual's read frame to the destination visual's write frame. This function does not perform stretching.

RETURN VALUE
0 for OK, otherwise a ggi-error(3) code.

SEE ALSO
ggiCopyBox(3), ggiSetReadFrame(3), ggiSetWriteFrame(3)